mariadb-plugin-connect_10.1.29-6_amd64.deb


Advertisement

Description

mariadb-plugin-connect - Connect storage engine for MariaDB

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package filename mariadb-plugin-connect_10.1.29-6_amd64.deb
Package name mariadb-plugin-connect
Package version 10.1.29
Package release 6
Package architecture amd64
Package type deb
Category universe/database
Homepage https://mariadb.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 429.06 KB
Installed size 1.45 MB
Connect engine supports a number of file formats (dbf, xml, txt, bin, etc),
connections to ODBC tables and remote MySQL tables, as well as a number of
other interesting features.
This package contains the Connect plugin for MariaDB.

Alternatives

Package Version Architecture Repository
mariadb-plugin-connect_10.1.40-0ubuntu0.18.04.1_amd64.deb 10.1.40 amd64 Ubuntu Updates Universe
mariadb-plugin-connect_10.1.40-0ubuntu0.18.04.1_i386.deb 10.1.40 i386 Ubuntu Updates Universe
mariadb-plugin-connect_10.1.29-6_i386.deb 10.1.29 i386 Ubuntu Universe
mariadb-plugin-connect - - -

Requires

Name Value
libc6 >= 2.14
libodbc1 >= 2.3.1
libstdc++6 >= 5
libxml2 >= 2.7.4
mariadb-server-10.1 -
unixodbc -
zlib1g >= 1:1.2.3.4

Conflicts

Name Value
mariadb-connect-engine-10.0 -
mariadb-connect-engine-10.1 -

Replaces

Name Value
mariadb-connect-engine-10.0 -
mariadb-connect-engine-10.1 -
mariadb-server-10.0 -
mariadb-server-10.1 << 1:10.1.29-6

Download

Type URL
Mirror archive.ubuntu.com
Binary Package mariadb-plugin-connect_10.1.29-6_amd64.deb
Source Package mariadb-10.1

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mariadb-plugin-connect deb package:
    # sudo apt-get install mariadb-plugin-connect

Files

Path
/etc/mysql/conf.d/connect.cnf
/usr/lib/x86_64-linux-gnu/mariadb18/plugin/ha_connect.so
/usr/share/doc/mariadb-plugin-connect/changelog.Debian.gz
/usr/share/doc/mariadb-plugin-connect/copyright

Changelog

2017-11-23 - Ondřej Surý <ondrej@debian.org>
mariadb-10.1 (1:10.1.29-6) unstable; urgency=high
* Ignore failed tests on more non-release platforms (kfreebsd-i386,
kfreebsd-amd64 and sparc64)
2017-11-22 - Ondřej Surý <ondrej@debian.org>
mariadb-10.1 (1:10.1.29-5) unstable; urgency=high
* Update the -O3 -> -O2 patch to include more cmake files
2017-11-22 - Ondřej Surý <ondrej@debian.org>
mariadb-10.1 (1:10.1.29-4) unstable; urgency=high
* Change the default optimization from -O3 to -O2 in mysql_release.cmake
BUILD_CONFIG profile
2017-11-22 - Ondřej Surý <ondrej@debian.org>
mariadb-10.1 (1:10.1.29-3) unstable; urgency=medium
* Change the default optimization level to -O2 to fix arm64 build
2017-11-22 - Ondřej Surý <ondrej@debian.org>
mariadb-10.1 (1:10.1.29-2) unstable; urgency=medium
[ Otto Kekäläinen ]
* Update the d/changelog with CVEs
[ Ondřej Surý ]
* Revert to using system pcre library (Closes: #882329)
* Bump the epoch to fix the mess created by mariadb-10.2 upload
(Closes: #881898)
[ Christian Ehrhardt ]
* d/t/upstream: skip func_regexp_pcre on s390x
2017-11-16 - Ondřej Surý <ondrej@debian.org>
mariadb-10.1 (10.1.29-1) unstable; urgency=medium
* New upstream version 10.1.29, includes fixes for the following
security vulnerabilities:
- [CVE-2017-10378]: Optimizer component to cause denial of service
conditions
- [CVE-2017-10268]: Replication component to access data
- [MDEV-13819]: Server crashes in Item_func_in::val_int or Assertion
`in_item' failed in virtual longlong Item_func_in::val_int
* Remove the mariadb-test-* packages as they are now provided by
mariadb-10.2 (Closes: #881898)
* Rebase patches for new upstream version.
2017-11-12 - Ondřej Surý <ondrej@debian.org>
mariadb-10.1 (10.1.28-2) unstable; urgency=high
* Add libconfig-inifiles-perl to mariadb-client-10.1 depends to fix
mytop (Closes: #875708)
* Add mips64el to the list of platforms that are allowed to fail test
suite (Closes: #879637)
2017-10-09 - Ondřej Surý <ondrej@debian.org>
mariadb-10.1 (10.1.28-1) unstable; urgency=medium
* New upstream version 10.1.28
* Rebase patches on top of MariaDB 10.1.28
* Add extra symbols aliases for libmariadbclient_16
2017-08-10 - Ondřej Surý <ondrej@debian.org>
mariadb-10.1 (10.1.26-1) unstable; urgency=medium
* Ignore upstream debian/ directory when importing upstream tarball
* New upstream version 10.1.26
* Refresh patches for MariaDB 10.1.26
* Remove unstable tests patches for unstable build, so we see what is
really failing and what is not
2017-07-30 - Ondřej Surý <ondrej@debian.org>
mariadb-10.1 (10.1.25-1) unstable; urgency=medium
* New upstream version 10.1.25
* Update quilt patches on top of mariadb-10.1.25 release
* Explicitly add dh_systemd_start snippets to mariadb-server-10.1
because it's all messed up with different name for sysvinit ('mysql')
and systemd ('mariadb') (Closes: #865870)
* Don't disable PIE, it's enabled by upstream anyway (Closes: #865737)
* Add default socket location for client (Closes: #864662)

See Also

Package Description
mariadb-plugin-cracklib-password-check_10.1.29-6_amd64.deb CrackLib Password Validation Plugin for MariaDB
mariadb-plugin-gssapi-client_10.1.29-6_amd64.deb GSSAPI authentication plugin for MariaDB client
mariadb-plugin-gssapi-server_10.1.29-6_amd64.deb GSSAPI authentication plugin for MariaDB server
mariadb-plugin-mroonga_10.1.29-6_amd64.deb Mroonga storage engine for MariaDB
mariadb-plugin-oqgraph_10.1.29-6_amd64.deb OQGraph storage engine for MariaDB
mariadb-plugin-spider_10.1.29-6_amd64.deb Spider storage engine for MariaDB
mariadb-plugin-tokudb_10.1.29-6_amd64.deb TokuDB storage engine for MariaDB
mariadb-server-10.1_10.1.29-6_amd64.deb MariaDB database server binaries
mariadb-server-core-10.1_10.1.29-6_amd64.deb MariaDB database core server files
mariadb-server_10.1.29-6_all.deb MariaDB database server (metapackage depending on the latest version)
marionnet_0.90.6+bzr508-1_amd64.deb Virtual network laboratory
marisa_0.2.4-8build12_amd64.deb commmand line tools for libmarisa
markdown_1.0.1-10_all.deb Text-to-HTML conversion tool
marsshooter-data_0.7.6-2_all.deb ridiculous space shooter governed by the laws of gravity -- data
marsshooter_0.7.6-2_amd64.deb ridiculous space shooter governed by the laws of gravity
Advertisement
Advertisement